Konfigurationsdateien

Viele Pakete enthalten vorbereitete Konfigurationsdateien. Mit Dlocate zeigen Sie diese über den Schalter -conf an. Fügen Sie auf dem System später weitere Konfigurationsdateien für das Paket hinzu, bleiben diese jedoch unentdeckt: Dlocate wertet nur die Paketinformationen aus und kennt nur das, was das Originalpaket enthält.

Listing 9

$ dlocate -conf xpdf
/etc/xpdf/xpdfrc
/etc/X11/Xresources/xpdf

Distributionskonsistenz

Apt liefert über das Werkzeug Apt-get und dessen Unterkommando check ein kleines Diagnosewerkzeug mit. Es aktualisiert den Paketpuffer und prüft, ob auf dem System beschädigte oder unerfüllte Abhängigkeiten vorliegen. Das umfasst alle installierten Pakete sowie die bereits entpackten, aber noch nicht konfigurierten Packages. Listing 10 stellt das Ergebnis einer Überprüfung dar, bei der es keine Beanstandungen gibt.

Listing 10

# apt-get check
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig

Ähnliches leisten die Kommandos dpkg --audit und apt-cache unmet. Letzteres zeigt eine Zusammenfassung aller unerfüllten Abhängigkeiten im Paket-Cache. Ergänzen Sie den Aufruf um einen oder mehrere Paketnamen, schränkt Apt-cache die Recherche entsprechend ein, wie in Listing 11 auf das Paket wireshark. Die Ausgabe beinhaltet auch die nicht installierten Vorschläge der Pakete.

Listing 11

$ apt-cache unmet "wireshark*"
Paket wireshark Version 1.8.2-5wheezy10 hat eine unerfüllte Abhängigkeit:
 Ersetzt: ethereal (< 1.0.0-3)
Paket libwireshark2 Version 1.8.2-5wheezy10 hat eine unerfüllte Abhängigkeit:
 Ersetzt: wireshark-common (< 1.4.0~rc2-1)
Paket libwireshark-data Version 1.8.2-5wheezy10 hat eine unerfüllte Abhängigkeit:
 Ersetzt: wireshark-common (< 1.4.0~rc2-1)
Paket wireshark-common Version 1.8.2-5wheezy10 hat eine unerfüllte Abhängigkeit:
 Ersetzt: ethereal-common (< 1.0.0-3)
[...]

Diesen Artikel als PDF kaufen

Express-Kauf als PDF

Umfang: 8 Heftseiten

Preis € 0,99
(inkl. 19% MwSt.)

LinuxCommunity kaufen

Einzelne Ausgabe
 
Abonnements
 
TABLET & SMARTPHONE APPS
Bald erhältlich
Get it on Google Play

Deutschland

Ähnliche Artikel

Kommentare

Infos zur Publikation

LU 01/2018: FLINKE BROWSER

Digitale Ausgabe: Preis € 5,95
(inkl. 19% MwSt.)

LinuxUser erscheint monatlich und kostet 5,95 Euro (mit DVD 8,50 Euro). Weitere Infos zum Heft finden Sie auf der Homepage.

Das Jahresabo kostet ab 86,70 Euro. Details dazu finden Sie im Computec-Shop. Im Probeabo erhalten Sie zudem drei Ausgaben zum reduzierten Preis.

Bei Google Play finden Sie digitale Ausgaben für Tablet & Smartphone.

HINWEIS ZU PAYPAL: Die Zahlung ist ohne eigenes Paypal-Konto ganz einfach per Kreditkarte oder Lastschrift möglich!

Stellenmarkt

Aktuelle Fragen

Linux Mint als Zweitsystem
Wolfgang Robert Luhn, 13.01.2018 19:28, 3 Antworten
Wer kann mir helfen??? Habe einen neuen Laptop mit vorinstaliertem Windows 10 gekauft. Möchte g...
externe soundkarte Kaufempfehlung
lara grafstr , 13.01.2018 10:20, 3 Antworten
Hallo Ich bin auf Suche nach einer externen soundkarte.. Max 150 Euro Die Wiedergabe is...
Prozessor-Sicherheitslücke Meltdown und Spectre
Wimpy *, 06.01.2018 10:45, 2 Antworten
Ich habe heute ein Sicherheitsupdate "ucode-intel" für openSuse 42.3 erhalten. Ist damit das Prob...
LENOVO ideapad320 Touchpad Linux Mint 18
Peter Deppen, 23.12.2017 16:49, 3 Antworten
Hallo, bin Linux Anfänger und habe das Problem, dass das Touchpad auf dem LENOVO ideapad320 mit L...
PClinuxOS
Günter Beckmann, 20.12.2017 09:51, 1 Antworten
Hi, LUC, hat jemand von Euch Erfahrung mit dem in Heft 12/2017 vorgestelletn PClinuxOS? Ich...